Skip to Content
kosemdocs
ReferenceAPISites

List sites

Lists the sites of a project that the caller may see: the private ones, which private agents made, only to those who may see each.

GET
/v1/projects/{project}/sites

Lists the sites of a project that the caller may see: the private ones, which private agents made, only to those who may see each.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

pageSize?integer

Maximum number of sites to return. Defaults to 50; values above 500 are treated as 500.

Formatint32
Range0 <= value
pageToken?string

Page token from a previous response.

Response Body

OK

application/json
  1. response
nextPageToken*string

Token for the next page; empty on the last page.

sites*array<>

Sites, newest first.

Example Request
curl -X GET 'https://api.kosem.ai/v1/projects/string/sites'
Example Response
{
  "nextPageToken": "string",
  "sites": [
    {
      "agent": "string",
      "createTime": "2019-08-24T14:15:22Z",
      "creator": "string",
      "displayName": "string",
      "etag": "string",
      "liveVersion": "string",
      "name": "string",
      "restricted": true,
      "updateTime": "2019-08-24T14:15:22Z",
      "uri": "string",
      "visibility": "PRIVATE"
    }
  ]
}